<script setup lang="ts">
import { onMounted } from "vue";
import { useStore } from "vuex";
import MainNav from "@/components/MainNav.vue";

const store = useStore();

onMounted(async () => {
	await store.dispatch("fetchStops");
});
</script>

<template>
<div class="p-4 bg min-vh-100">
	<div class="container">
		<div class="row gap-4">
			<div class="col col-12">
				<header class="timetable">Timetable</header>
			</div>
			<div class="main-nav col col-12 bg-white app-rounded">
				<MainNav />
			</div>
			<div class="col col-12">
				<main>
					<div v-if="store.state.error" class="alert alert-danger" role="alert">
						{{ store.state.error }}
					</div>
					<div v-else-if="store.state.isLoading">loading...</div>
					<RouterView v-else />
				</main>
			</div>
		</div>
	</div>
</div>
</template>

<style lang="scss" scoped>
.timetable {
	font-weight: 600;
	font-size: 24px;
	line-height: 32px;
	color: #1A1A1A;
}
.main-nav {
	height: 64px;
	display: flex;
	align-items: center;
	padding: 0 24px 0 24px;
}
</style>
